curl --request GET \
--url https://api.syntage.com/electronic-accounting-records/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/electronic-accounting-records/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/electronic-accounting-records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/ElectronicAccountingRecord",
"@id": "/electronic-accounting-records/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "ElectronicAccountingRecord",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"year": 2022,
"month": 3,
"type": "N",
"reason": "EM",
"fileType": "B",
"filename": "PEIC211118IS0202203BN.zip",
"code": "0002220300000000124236",
"receivedAt": "2023-11-07T05:31:56Z",
"status": "accepted",
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve an electronic accounting record
Retrieve an electronic accounting record by ID, including fiscal period, accounting file type, status, and related files.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Electronic Accounting Record resource response
Electronic Accounting Record IRI reference
"/electronic-accounting-records/91106968-1abd-4d64-85c1-4e73d96fb997"
Electronic Accounting Record ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Fiscal year
2022
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 3
N, C "N"
AF, DE, CO, FC, EM "EM"
CT, B, PL, XF, XC "B"
"PEIC211118IS0202203BN.zip"
"0002220300000000124236"
received, accepted, rejected "accepted"
Electronic accounting record files: (ack receipt, ack processing, XML and digital stamp)
Show child attributes
Show child attributes
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?